pro ssw_set2size, sets, tarsize, treesize, all=all, table=table
;+
;   Name: ssw_set2size
;
;   Purpose: convert SSW set names (ssw_XXX_YYY) to sizes
;
;   History:
;      10-Jun-1997 - S.L.Freeland - For SSW WWW installation help
;
;   Side effects:
;        input SETS might be reordered (must be variable, not constant)
;-

infile='$SSW/gen/setup/ssw_sizes.dat'          ; size file from SSW master
info=rd_tfile(infile,nocom=';')                
info=strarrcompress(str2cols(info),/trim,/col)
asets=reform(info(0,*))
if not keyword_set(sets) or keyword_set(all) then sets=asets

nsets=n_elements(sets)
tarsize=fltarr(nsets)-1
treesize=fltarr(nsets)-1
ss=where_arr(asets,sets,sscnt)


if sscnt gt 0 then begin
   table=info(*,ss)
   sets=reform(info(0,ss))              ; *** REORDERS INPUT (OUTPUT) ***
   tarsize=float(reform(info(1,ss)))
   treesize=float(reform(info(2,ss)))
endif  

return
end
